***			AEJMacro-2013-0231_PooledMicroeconomicEstimates						***
***																				***
***		This program:															***
***			Estimate a pooled microeconomic trade elasticity					***
***			Compute the aggregate trade elasticity implied by the estimate		***
***			Input: temp_bil.dta (from FinalAEJ_BuildDatabase.do)			***
***				   weight.dta (from FinalAEJ_BuildDatabase.do)					***
***				   constrained.do (estimation of pooled microeconomic 			***
***				   estimate and computation of the aggregate trade elasticity	***
***				   regsec_wc_lntradelntariff.dta (from FinalAEJ_SectorEstimates)***
***			Output: con_wc_lntradelntariff.dta (Aggregate trade elasticity and  ***
***					estimated coefficient)										***
***																				***



clear
set more off

global datapath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global dopath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global outputpath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro\Output


* run programs
cd "$dopath"
quietly do constrained_wc
	
* Constrained estimation with constant lntrade
cd "$datapath"
constrained_wc temp_bil lntrade lntariff 
	
* Save output
use con_wc_lntradelntariff, clear
save "$outputpath/con_wc_lntradelntariff.dta", replace
erase con_wc_lntradelntariff.dta 
