***				 	AEJMacro-2013-0231_SectorEstimates						***
***																			***
***		This program:														***
***			Estimate trade elasticities sector-by-sector					***
***			Aggregate sectoral estimates into a trade elasticity			***
***			Input: temp_refEU2_bil.dta 										***
***				   weight.dta 												***
***				   bysector_reg_constant.do (sector-by-sector estimation)	***
***				   unconstrained.do (aggregation of sectoral elasticities)	***
***				   ISICRev3_cp_name.txt (product codes)						***
***			Output: regsec_wc_lntradelntariff.dta (sectoral estimates)		***
***				    unc_wc_lntradelntariff.dta (Aggregate trade elasticity) ***
***				    graphcp_lntradelntariff_EUref.eps (Sectoral estimates)  ***
***																			***



clear
set more off
global datapath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global dopath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global outputpath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro\Output

* run programs
cd "$dopath"
quietly do bysector_reg_constant
quietly do unconstrained

* Unconstrained estimation with a constant lntrade
cd "$datapath"
bysector_reg_constant temp_bil lntrade lntariff 	
unconstrained regsec_wc_lntradelntariff lntariff unc_wc_lntradelntariff

* Add sector labels
use regsec_wc_lntradelntariff, clear
sort isic3d
save regsec_wc_lntradelntariff, replace
clear
insheet using ISICRev3_cp_name.txt, names
sort isic3d
merge isic3d using regsec_wc_lntradelntariff
drop _merge
g elasticity=-b_lntariff
replace name=name + " (NS)" if sig10_lntariff==0
sort elasticity
graph hbar (mean) elasticity, over(name, sort(b_lntariff) label(angle(0) )) ytitle("") scheme(s1mono) scale(0.65)
graph export "$outputpath/graphcp_lntradelntariff_EUref.eps",as (eps) replace

* Save output
use regsec_wc_lntradelntariff, clear
save "$outputpath/regsec_wc_lntradelntariff.dta", replace
erase regsec_wc_lntradelntariff.dta 
use unc_wc_lntradelntariff, clear
save "$outputpath/unc_wc_lntradelntariff.dta", replace
erase unc_wc_lntradelntariff.dta 
