capture program drop aggregate_noc
program define aggregate_noc
	use `1', clear
	reg `2' `3', noc vce(robust)
	local coef=_b[`3']
	local se=_se[`3']

	
	use `4', clear
	sort isic3d
	merge isic3d using weight
	drop if _merge==2
	drop _merge
	keep isic3d wk_vaid_stan wkm_y_io 
	egen sumwk=sum(wk_vaid_stan)
	replace wk_vaid_stan=wk_vaid_stan/sumwk
	g wkmwk=wk_vaid_stan*wkm_y_io
	egen sumwkmwk=sum(wkmwk)
	g nk=wkm_y_io*wk_vaid_stan/sumwkmwk
	egen sumnk= sum(nk)
	replace nk=nk/sumnk
	g b_`3'=`coef'
	g se_`3'=`se'

	g VARsigma=se_`3'*se_`3'
	g nksigmak=nk*(1-b_`3')
	g nksigmawkm=nk*(-b_`3')*wkm_y_io
	g var_elimpt_tot=(nk*(1-wkm_y_io))*(nk*(1-wkm_y_io))*VARsigma

	collapse (sum) wk=wk_vaid_stan nk nksigmak nksigmawkm var_elimpt_tot (mean) b_`3' se_`3'

	g estimated_coef=b_`3'
	g se_estimated_coef=se_`3'
	g elimpt_tot=1-nksigmak+nksigmawkm
	g se_elimpt_tot=sqrt(var_elimpt_tot)

	label var estimated_coef "Estimated pooled microeconomic elasticity"
	label var se_estimated_coef "Estimated standard deviation of the coefficient"
	label var elimpt_tot "Aggregate elasticity of trade"
	label var se_elimpt_tot "Estimated standard deviation of the aggregate elasticity of trade"
	
	keep elimpt_tot se_elimpt_tot estimated_coef se_estimated_coef
	
	sum elimpt_tot

	save ag_noc_`2'`3', replace
end
