capture program drop unconstrained
program define unconstrained
	use `1', clear
	sort isic3d
	merge isic3d using weight
	drop if _merge==2
	drop _merge
	
	g allsigma_`2'=sigma_`2'
	replace sigma_`2'=1 if sig10_`2'==0

	egen sumwk=sum(wk_vaid_stan)
	replace wk_vaid_stan=wk_vaid_stan/sumwk
	g wkmwk=wk_vaid_stan*wkm_y_io
	egen sumwkmwk=sum(wkmwk)
	g nk=wkm_y_io*wk_vaid_stan/sumwkmwk
	egen sumnk= sum(nk)
	replace nk=nk/sumnk
	
	g VARsigma=se_`2'*se_`2'
	g nksigmak=nk*sigma_`2'
	g nkallsigmak=nk*allsigma_`2'
	g nksigmawkm=nk*(sigma_`2'-1)*wkm_y_io
	g nkallsigmawkm=nk*(allsigma_`2'-1)*wkm_y_io
	g var_elimpt_tot=(nk*(1-wkm_y_io))*(nk*(1-wkm_y_io))*VARsigma
	
	collapse (sum) wk=wk_vaid_stan nk nksigmak nkallsigmak nksigmawkm nkallsigmawkm  var_elimpt_tot 
	
	g elimpt_tot=1-nksigmak+nksigmawkm
	g elimpt_tot_alls=1-nkallsigmak+nkallsigmawkm
	g se_elimpt_tot=sqrt(var_elimpt_tot)
	
	label var elimpt_tot "Trade elasticity, total, NS elasticities set to 0"
	label var elimpt_tot_alls "Trade elasticity, total, including non-significant elasticities"
	label var se_elimpt_tot "Estimated standard deviation of the total elasticity of trade"
	
	keep elimpt_tot elimpt_tot_alls se_elimpt_tot
	sum elimpt_tot
	sum elimpt_tot_alls
	save `3', replace
end
